{
  "name": "server",
  "version": "1.0.0",
  "description": "",
  "main": "index.js",
  "scripts": {
    "dev": "nodemon src/index.ts",
    "build": "tsc",
    "start": "node dist/index.js",
    "check": "tsc --noEmit",
    "test": "jest --verbose",
    "test:stress": "jest src/tests/performance/stress.test.ts --verbose",
    "test:rbac": "jest src/tests/security/rbac.test.ts --verbose"
  },
  "jest": {
    "preset": "ts-jest",
    "testEnvironment": "node",
    "testMatch": [
      "**/*.test.ts"
    ],
    "transform": {
      "^.+\\.ts$": "ts-jest"
    }
  },
  "keywords": [],
  "author": "",
  "license": "ISC",
  "type": "commonjs",
  "dependencies": {
    "@types/bcrypt": "^6.0.0",
    "@types/speakeasy": "^2.0.10",
    "bcrypt": "^6.0.0",
    "bullmq": "^5.71.0",
    "cors": "^2.8.6",
    "express": "^5.2.1",
    "ioredis": "^5.10.0",
    "jsonwebtoken": "^9.0.3",
    "knex": "^3.1.0",
    "mysql2": "^3.18.2",
    "node-cache": "^5.1.2",
    "redis": "^5.11.0",
    "sharp": "^0.34.5",
    "speakeasy": "^2.0.0",
    "zod": "^4.3.6"
  },
  "devDependencies": {
    "@types/cors": "^2.8.19",
    "@types/express": "^5.0.6",
    "@types/jest": "^30.0.0",
    "@types/jsonwebtoken": "^9.0.10",
    "@types/node": "^25.3.3",
    "@types/node-cache": "^4.1.3",
    "@types/redis": "^4.0.10",
    "@types/sharp": "^0.31.1",
    "@types/speakeasy": "^2.0.10",
    "@types/supertest": "^7.2.0",
    "jest": "^30.3.0",
    "nodemon": "^3.1.14",
    "supertest": "^7.2.2",
    "ts-jest": "^29.4.6",
    "ts-node": "^10.9.2"
  }
}
